%global momorel 3

Summary: translate with internet translation services
Name: youtranslate
Version: 1.1.9
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Text
URL: http://laas.altervista.org/youtranslate/ytindex.php
Source0: http://laas.altervista.org/%{name}/%{name}-%{version}_src.tar.gz
Source1: youtranslate.png
Source2: youtranslate.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: youtranslate-1.1.6-Make.patch
BuildRequires: gtk-sharp2-devel >= 2.10.0
BuildRequires: mono-devel >= 1.2
Requires: gtk-sharp2 >= 2.10.0
Requires: mono-core >= 1.2
Requires: gtk+

%description
Briefly it's just a small and simple application that lets you use
some internet translation services in an easy and fast way. I have
developed this software just because every time I need to translate a
word (or a phrase) I have to open my internet browser, go to the
translation service provider, select source and destination languages,
adn wait for the resposnse.
#'

%prep
%setup -q
%patch0 -p1 -b .version~
%build
./make.sh
echo "mono %{_libexecdir}/youtranslate.exe" > youtranslate

%install
rm -rf --preserve-root %{buildroot}
install -d %{buildroot}/%{_libexecdir} %{buildroot}/%{_bindir}
install -d %{buildroot}/%{_datadir}/applications
install -d %{buildroot}/%{_datadir}/pixmaps

install youtranslate.exe  %{buildroot}/%{_libexecdir}
install -m 755 youtranslate %{buildroot}/%{_bindir}
install %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README COPYING
%{_bindir}/youtranslate
%{_libexecdir}/youtranslate.exe
%{_datadir}/pixmaps/youtranslate.png
%{_datadir}/applications/youtranslate.desktop

%changelog
* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.9-3m)
- fix youtranslate.desktop permission

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1.9-2m)
- fix BuildPrereq

* Sun Nov  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.9-1m)
- update to 1.1.9

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-3m)
- rebuild against mono-1.1.17.1 gtk-sharp 2.10.0

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.8-2m)
- revised for multilibarch

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-1m)
- update to 1.1.8

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-3m)
- replace requires: gtk+-devel to gtk+

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-2m)
- add requires: gtk+-devel (not so good)

* Tue Jul 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.3-1m)
- update to 1.1.7.3
-- NoSource -> Source

* Sun Jun 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.2-1m)
- update to 1.1.7.2
- add japanese menu

* Wed May  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7.1-1m)
- update to 1.1.7.1

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-3m)
- rebuild mono -> mono-core

* Mon May  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-2m)
- add pixmap and desktop files

* Fri Apr 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-1m)
- initial build
